mutation updateEvent(
  $id: uuid!
  $object: events_set_input!
  $payment: [events_payment_types_insert_input!]!
) {
  event: update_events_by_pk(pk_columns: { id: $id }, _set: $object) {
    ...Event
  }
  delete_events_payment_types(where: { event_id: { _eq: $id } }) {
    affected_rows
  }
  insert_events_payment_types(
    objects: $payment
    on_conflict: {
      constraint: events_payment_types_event_id_payment_type_key
      update_columns: [payment_type, price]
    }
  ) {
    returning {
      ...EventPaymentType
    }
  }
}
